Sign message
Signs a message using an organizational wallet.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Sign message › Request Body
walletIdWallet ID
messageMessage to sign
encodedByHexBoolean to indicate if message is hex encoded. Default is false.
memoHuman readable explanation for message signing action.
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Sign message › Responses
Message signed successfully
successstatusmessageSign Transaction
Signs a transaction using an organizational wallet without broadcasting onchain.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Sign Transaction › Request Body
walletIdWallet ID
rawTransactionRaw unsigned transaction string to sign (base64 for non-EVM, hex for EVM). Required in the absence of transaction object.
transactionTransaction object (JSON string). Required in the absence of rawTransaction.
memoHuman readable explanation for transaction signing action.
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Sign Transaction › Responses
Transaction signed successfully
successstatusSign Typed Data
Signs EIP-712 typed data using an organizational wallet.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Sign Typed Data › Request Body
walletIdWallet ID
typedDataEIP-712 typed data (JSON string)
memoHuman readable explanation for typed data signing action.
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Sign Typed Data › Responses
Typed data signed successfully
successstatusmessageSign Delegate Action
Signs a delegate action (e.g., protocol delegation). This endpoint is only available for NEAR and NEAR-TESTNET at the moment.
Headers
PLANBOK-X-API-KEYAPI key for authentication
Sign Delegate Action › Request Body
walletIdWallet ID
unsignedDelegateActionBase64 encoded unsigned delegate action
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Sign Delegate Action › Responses
Delegate action signed successfully
successstatusmessageSign SEP10 Web Authentication Challenge
Signs SEP10 web authentication challenge to assert account identity. This endpoint is only available for Stellar Chains(XLM and XLM-TESTNET).
Headers
PLANBOK-X-API-KEYAPI key for authentication
Sign SEP10 Web Authentication Challenge › Request Body
walletIdWallet ID
challengeXdrBase64 challenge transaction XDR received from the anchor/service.
serverAccountIdThe anchor/service's known signing account (G...) - NOT the wallet's own account.
homeDomainsExpected home domain(s) - must match what the challenge actually contains.
webAuthDomainExpected web_auth_domain, per SEP-10.
encryptedOrganizationSecretRequired only for organizations operating in trustless MPC mode. Must be a base64 encoded ciphertext.
Sign SEP10 Web Authentication Challenge › Responses
Web auth XDR data signed successfully
successstatusmessage